package cn.com.qmth.examcloud.core.oe.admin.service.bean.statistic;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamStatisticInfo implements JsonSerializable {

    private static final long serialVersionUID = 5667104330981650606L;

    private Long examId;

    private Long courseId;

    private Long orgId;

    private String title;

    /**
     * 应考人数
     */
    private Integer allCount;

    /**
     * 实考人数
     */
    private Integer finishCount;

    /**
     * 缺考人数
     */
    private Integer unFinishCount;

    /**
     * 缺考率
     */
    private Double unFinishRate;

    /**
     * （成绩）及格人数
     */
    private Integer passScoreCount;

    /**
     * 及格率
     */
    private Double passScoreRate;

    /**
     * （成绩）优秀人数
     */
    private Integer goodScoreCount;

    /**
     * 优秀率
     */
    private Double goodScoreRate;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Integer getAllCount() {
        return allCount;
    }

    public void setAllCount(Integer allCount) {
        this.allCount = allCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getUnFinishCount() {
        return unFinishCount;
    }

    public void setUnFinishCount(Integer unFinishCount) {
        this.unFinishCount = unFinishCount;
    }

    public Double getUnFinishRate() {
        return unFinishRate;
    }

    public void setUnFinishRate(Double unFinishRate) {
        this.unFinishRate = unFinishRate;
    }

    public Integer getPassScoreCount() {
        return passScoreCount;
    }

    public void setPassScoreCount(Integer passScoreCount) {
        this.passScoreCount = passScoreCount;
    }

    public Double getPassScoreRate() {
        return passScoreRate;
    }

    public void setPassScoreRate(Double passScoreRate) {
        this.passScoreRate = passScoreRate;
    }

    public Integer getGoodScoreCount() {
        return goodScoreCount;
    }

    public void setGoodScoreCount(Integer goodScoreCount) {
        this.goodScoreCount = goodScoreCount;
    }

    public Double getGoodScoreRate() {
        return goodScoreRate;
    }

    public void setGoodScoreRate(Double goodScoreRate) {
        this.goodScoreRate = goodScoreRate;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

}
